Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QPlatinumStyle Class Reference

The QPlatinumStyle class provides Mac/Platinum look and feel. More...

    #include <QPlatinumStyle>

Inherits QWindowsStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QPlatinumStyle ()
- virtual ~QPlatinumStyle ()
- void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- QRect querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const
- QRect subRect ( SubRect r, const QWidget * widget ) const

- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- void drawRiffles ( QPainter * p, int x, int y, int w, int h, const QPalette & pal, bool horizontal ) const
- QColor mixedColor ( const QColor & c1, const QColor & c2 ) const

- 9 protected functions inherited from QObject

## Detailed Description

The QPlatinumStyle class provides Mac/Platinum look and feel.

This class implements the Platinum look and feel. It's an experimental class that tries to resemble a Macinosh-like GUI style with the QStyle system. The emulation is currently far from perfect.

Most of the functions are documented in the base classes QWindowsStyle, QCommonStyle, and QStyle, but the QPlatinumStyle overloads of drawComplexControl(), drawControl(), drawPrimitive(), querySubControlMetrics(), and subRect(), are documented here.

See also QMacStyle.

## Member Function Documentation

### QPlatinumStyle::QPlatinumStyle ()

Constructs a QPlatinumStyle

### QPlatinumStyle::~QPlatinumStyle () `[virtual]`

Destroys the style.

### void QPlatinumStyle::drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QPlatinumStyle::drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QPlatinumStyle::drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QPlatinumStyle::drawRiffles ( QPainter * p, int x, int y, int w, int h, const QPalette & pal, bool horizontal ) const `[protected]`

Draws the nifty Macintosh decoration used on sliders using painter p and colorgroup pal. x, y, w, h and horizontal specify the geometry and orientation of the riffles.

### QColor QPlatinumStyle::mixedColor ( const QColor & c1, const QColor & c2 ) const `[protected]`

Mixes two colors c1 and c2 to a new color.

### QRect QPlatinumStyle::querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const

### QRect QPlatinumStyle::subRect ( SubRect r, const QWidget * widget ) const